package com.danitheskunk.skunkworks.gfx.font;

import java.nio.charset.Charset;
import java.nio.charset.StandardCharsets;

public abstract class BaseFont implements IFont {
	@Override
	public int getStringWidth(String str) {
		//todo: figure out later
		Charset charset = isCP437() ? StandardCharsets.ISO_8859_1 : StandardCharsets.UTF_8;
		int width = 0;
		for(var ch : str.getBytes(charset)) {
			width += getXAdvance(ch);
		}
		return width;
	}
}
